#ifndef BLENDED_POSITION_H
#define BLENDED_POSITION_H
#include <stdlib.h>

GSM_API struct blended_position **alloc_blended_positions(unsigned short);
GSM_API struct blended_position *alloc_blended_position();
GSM_API void cleanup_blended_positions(unsigned short, struct blended_position **);
GSM_API int parse_blended_position(struct gsm *, unsigned short, struct blended_position *, unsigned short);
GSM_API int find_blended_positions(struct gsm *);
GSM_API int write_blended_positions(struct gsm *);
GSM_API int describe_blended_positions(struct gsm *);

struct blended_position {
  unsigned int offset;
  short num_positions;
  unsigned short **positions;
  float **weights;
};

#endif
