#ifndef TEXTURE_COORD_H
#define TEXTURE_COORD_H
#include "data.h"
#include <stdlib.h>

GSM_API struct texture_coord **alloc_texture_coords(unsigned short);
GSM_API struct texture_coord **alloc_more_texture_coords(unsigned short, unsigned short, struct texture_coord **);
GSM_API struct texture_coord *alloc_texture_coord();
GSM_API void cleanup_texture_coords(unsigned short, struct texture_coord **);
GSM_API int find_texture_coords(struct gsm *);
GSM_API int parse_texture_coord(struct gsm *, unsigned short, struct texture_coord *, unsigned short);
GSM_API int write_texture_coords(struct gsm *);
GSM_API int texture_coord_equiv(struct texture_coord *, struct texture_coord *);
GSM_API int describe_texture_coords(struct gsm *);

struct texture_coord {
  unsigned int offset;
  float u;
  float v; /* -ve compared to 3D Studio's idea */
};

#endif
