#ifndef IMAGEMAGICK_H
#define IMAGEMAGICK_H

#ifdef USE_IMAGEMAGICK
#include "data.h"
#include <wand/MagickWand.h>

struct generate_uv_map_set {
  struct generate_uv_map_set *next;
  unsigned short triangle_group_id;
  PixelWand *wand;
  int transparent;
};

GSM_API struct generate_uv_map_set *alloc_generate_uv_map_set();
GSM_API void cleanup_generate_uv_map_set(struct generate_uv_map_set *);
GSM_API int add_to_generate_uv_map_set(struct generate_uv_map_set **, char *, char *);
GSM_API int generate_uv_maps(struct gsm *);
GSM_API int generate_uv_map(struct gsm *, struct generate_uv_map_set *);
GSM_API int draw_uv(DrawingWand *, Image *, struct texture_coord *, struct texture_coord *);
GSM_API float calculate_uv_wrap(float, float, float, float);
#endif

#endif
